routes/web.php
<?php

use Illuminate\Support\Facades\Route;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/','IndexController@index');
Route::get('about', 'IndexController@about');
Route::get('contact', 'IndexController@contact');
Route::get('work','IndexController@work');
Route::get('/details/{id}','IndexController@details');
Route::get('posts/show-work/{id}','IndexController@showWork');
Route::get('search','IndexController@search');
Route::get('/send-mail', 'MailController@sendEmail');

Route::get('lang/{locale}', 'LocalizationController@index');
Auth::routes(['register' => false]);

Route::get('/home', 'HomeController@index')->name('home');

Route::resource('post-types','PostTypeController');
Route::resource('posts','PostController');
Route::delete('posts/delete-image/{id}','PostController@deleteImage');
Route::resource('users','UserController');
Route::get('users/edit-password/{id}','UserController@editPassword');
Route::post('users/change-password/{id}','UserController@changePassword');
Route::resource('slide-images','SlideImagesController');

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use App\Http\Traits\Uuids;

class User extends Authenticatable
{
    use Uuids;
    protected $keyType = 'string';
    public $incrementing = false;
    protected $guarded = [];

    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/UserController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Hash;
use App\User;

class UserController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $collection = User::get();
        return view('users.index',['collection' => $collection]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('users.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
         request()->validate([
            'name' => 'required|string|max:255',
            'email' => 'required|email|max:255',
            'password' => 'required|string|min:6|confirmed',
        ]);

        $user = new User([
            'name' => $request->name,
            'email' => $request->email,
            'password' => Hash::make($request->password),
        ]);
        $user->save();
        return redirect('/users')->with('success', 'The user has been created successfully!');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $user = User::find($id);
        return view('users.show',['user'=>$user]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $user = User::find($id);
        $user->name = $request->name;
        $user->email = $request->email;
        $user->save();

        return redirect('/users')->with('success', 'The user has been updated successfully!');
    }

    public function editPassword($id)
    {
        $user = User::find($id);
        return view('users.change_password',['user'=>$user]);
    }
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function changePassword(Request $request, $id)
    {
        request()->validate([
            'password' => 'required|string|min:6|confirmed',
        ]);

        $user = User::find($id);
        $user->password = Hash::make($request->password);
        $user->save();

        return redirect('/users')->with('success', 'The password has been updated successfully!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $user = User::find($id);
        $user->delete();
        return back()->with('success', 'The user has been deleted successfully!');
    }
}

resources/views/users/change_password.blade.php
@extends('layouts.app')
@section('css')
    <style>
        .float-right {
            margin-top: -40px;
        }

        .custom-file-label {
            cursor: pointer;
        }

    </style>
@endsection
@section('content')
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Users</h3>
                <p class="text-subtitle text-muted">User can create by below.</p>
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class='breadcrumb-header'>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ route('users.index') }}">Users</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('users.index') }}">User List</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Create User</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>

    <section class="section">
        <div class="col-md-12">
            <div class="card">
                <form action="{{ url('users/change-password', $user->id) }}" method="post" enctype="multipart/form-data"
                    id="form1">
                    @csrf
                    <div class="card-header">
                        <h4 class="card-title">User</h4>
                        <div class="float-right">
                            <a href="{{ route('users.index') }}" class="btn btn-danger"><i data-feather="x"></i> Close</a>
                            <button type="submit" class="btn btn-primary save-button"><i data-feather="save"></i>
                                Save</button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="basicInput">Password</label>
                                    <input type="password" class="form-control" name="password"
                                        placeholder="Enter your password">
                                    <p><small class="text-red">{{ $errors->first('password') }}</small></p>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="basicInput">Confirm Password</label>
                                    <input type="password" class="form-control" name="password_confirmation"
                                        placeholder="Enter your confirm password">
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
@endsection

resources/views/users/create.blade.php
@extends('layouts.app')
@section('css')
    <style>
        .float-right {
            margin-top: -40px;
        }

        .custom-file-label {
            cursor: pointer;
        }

    </style>
@endsection
@section('content')
<div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Users</h3>
                <p class="text-subtitle text-muted">User can create by below.</p>
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class='breadcrumb-header'>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ route('users.index') }}">Users</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('users.index') }}">User List</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Create User</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>

    <section class="section">
        <div class="col-md-12">
            <div class="card">
                <form action="{{ route('users.store') }}" method="post" enctype="multipart/form-data"
                    id="form1">
                    @csrf
                    <div class="card-header">
                        <h4 class="card-title">User</h4>
                        <div class="float-right">
                            <a href="{{ route('users.index') }}" class="btn btn-danger"><i data-feather="x"></i> Close</a>
                            <button type="submit" class="btn btn-primary save-button"><i data-feather="save"></i>
                                Save</button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="basicInput">User Name</label>
                                    <input type="text" class="form-control" name="name" placeholder="Enter username" value="{{ old('name') }}" required autocomplete="name">
                                    <p><small class="text-red">{{ $errors->first('username') }}</small></p>
                                </div>
                                <div class="form-group">
                                    <label for="basicInput">Email</label>
                                    <input type="email" class="form-control" name="email" placeholder="Enter your email address" value="{{ old('email') }}" required autocomplete="email">
                                    <p><small class="text-red">{{ $errors->first('email') }}</small></p>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="basicInput">Password</label>
                                    <input type="password" class="form-control" name="password" placeholder="Enter your password">
                                    <p><small class="text-red">{{ $errors->first('password') }}</small></p>
                                </div>
                                <div class="form-group">
                                    <label for="basicInput">Confirm Password</label>
                                    <input type="password" class="form-control" name="password_confirmation" placeholder="Enter your confirm password">
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
@endsection

resources/views/users/index.blade.php
@extends('layouts.app')

@section('content')
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
            <h3>{{ __('app.user')}}</h3>
                <p class="text-subtitle text-muted">User can operation by below. <a href="{{ route('users.create') }}"
                        class="btn icon icon-left btn-primary"><i data-feather="plus"></i> Create</a></p>
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class='breadcrumb-header'>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ route('users.index') }}">User</a></li>
                        <li class="breadcrumb-item active" aria-current="page">User List</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
    <div class="row">
        @include('flash-message')
    </div>
    <section class="section">
        <div class="card">
            <div class="card-body">
                <table class='table table-striped' id="table1">
                    <thead>
                        <tr>
                            <th>No</th>
                            <th>Username</th>
                            <th>Eamil</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($collection as $i => $item)
                            <tr>
                                <td>{{ ++$i }}</td>
                                <td>{{ $item->name }}</td>
                                <td>{{ $item->email }}</td>
                                <td>
                                    <div class="btn-group mb-1">
                                        <div class="dropdown">
                                            <button class="btn btn-primary dropdown-toggle mr-1" type="button"
                                                id="dropdownMenuButtonIcon" data-toggle="dropdown" aria-haspopup="true"
                                                aria-expanded="false">
                                                <i class="bx bx-error-circle mr-50"></i> Action
                                            </button>
                                            <div class="dropdown-menu" aria-labelledby="dropdownMenuButtonIcon">
                                                <a class="dropdown-item" href="{{ route('users.show', $item->id) }}"><i
                                                        data-feather="folder-minus"></i> View</a>
                                                         <a class="dropdown-item" href="{{ url('users/edit-password', $item->id) }}"><i
                                                        data-feather="key"></i> Change Password</a>
                                                <a class="dropdown-item confirmation" href="#"
                                                        data-toggle="modal" data-target="#small-modal"
                                                        data-id="{{ $item->id }}"><i
                                                        data-feather="trash"></i>Delete</a>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
        <div class="modal fade text-left modal-borderless fade" tabindex="-1" role="dialog" id="small-modal" style="display: none; padding-left: 0px;"
        aria-modal="true">
        <div class="modal-dialog modal-sm" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Confirmation</h5><button type="button" class="close" data-dismiss="modal"
                        aria-label="Close"><span aria-hidden="true">×</span></button>
                </div>
                <div class="modal-body">
                    <p>Are you sure to delete the selected record ?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary btn-sm" data-dismiss="modal"><i class="mdi mdi-close"></i>
                        Close</button>
                    <form action="" method="post" id="form">
                        @method('DELETE')
                        @csrf
                        <button type="submit" class="btn btn-sm btn-danger"><i class="mdi mdi-delete"></i> Delete</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    </section>
@endsection
@section('js')
    <script>
        $(document).ready(function() {
            $('.confirmation').click(function() {
                $('#form').attr('action', "users/" + $(this).attr('data-id'));
            })
        })
    </script>
@endsection

resources/views/users/show.blade.php
@extends('layouts.app')
@section('css')
    <style>
        .float-right {
            margin-top: -40px;
        }

        .custom-file-label {
            cursor: pointer;
        }

    </style>
@endsection
@section('content')
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Users</h3>
                <p class="text-subtitle text-muted">User can create by below.</p>
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class='breadcrumb-header'>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ route('users.index') }}">Users</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('users.index') }}">User List</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Create User</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>

    <section class="section">
        <div class="col-md-12">
            <div class="card">
                <form action="{{ route('users.update', $user->id) }}" method="post" enctype="multipart/form-data"
                    id="form1">
                    @method('PATCH')
                    @csrf
                    <div class="card-header">
                        <h4 class="card-title">User</h4>
                        <div class="float-right">
                            <a href="{{ route('users.index') }}" class="btn btn-danger"><i data-feather="x"></i> Close</a>
                            <button type="submit" class="btn btn-primary save-button"><i data-feather="save"></i>
                                Save</button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="basicInput">User Name</label>
                                    <input type="text" class="form-control" name="name" placeholder="Enter username"
                                        value="{{ $user->name }}" required autocomplete="name">
                                    <p><small class="text-red">{{ $errors->first('username') }}</small></p>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="basicInput">Email</label>
                                    <input type="email" class="form-control" name="email"
                                        placeholder="Enter your email address" value="{{ $user->email }}" required
                                        autocomplete="email">
                                    <p><small class="text-red">{{ $errors->first('email') }}</small></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
@endsection